package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FacedInfo{
    private Integer id;
    private String delFlag;
    private String facedName;
    private Integer rank;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getFacedName(){
        return this.facedName;
    }

    public void setFacedName(String facedName){
        this.facedName = facedName;
    }
    public Integer getRank(){
        return this.rank;
    }

    public void setRank(Integer rank){
        this.rank = rank;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

}

